RHEL 6 - how to install 'GLIBC_2.14' or 'GLIBC_2.15'?

how to install redhat linux 6 step by step in vmware
how to install red hat linux 7.6 step by step
install rhel 6 with gui
rhel 8 installation
how to install redhat linux 6 step by step in virtualbox
how to install red hat linux on windows 10
rhel 6 documentation
how to install red hat linux on windows 7

I need these 2 packages installed on RHEL 6 linux system. They are required by several other programs.

When I do:

sudo yum install glibc-devel

this is output:

Loaded plugins: product-id, security
Setting up Install Process
Package glibc-devel-2.12-1.166.el6_7.1.x86_64 already installed and latest version
Nothing to do

Is there some EPEL with GLIBC_2.15 for RHEL? If not - what is a workaround here?

This often occurs when you build software in RHEL 7 and try to run on RHEL 6.

To update GLIBC to any version, simply download the package from

https://ftp.gnu.org/gnu/libc/

For example glibc-2.14.tar.gz in your case.

  1. tar xvfz glibc-2.14.tar.gz
  2. cd glibc-2.14
  3. mkdir build
  4. cd build
  5. ../configure --prefix=/opt/glibc-2.14
  6. make
  7. sudo make install
  8. export LD_LIBRARY_PATH=/opt/glibc-2.14/lib:$LD_LIBRARY_PATH

Then try to run your software, glibc-2.14 should be linked.

Installation Guide Red Hat Enterprise Linux 6, This manual explains how to boot the Red Hat Enterprise Linux 6.9 installation program (anaconda) and to install Red Hat Enterprise Linux 6.9 on 32-bit and 64-​bit  Red Hat Enterprise Linux (RHEL) 6 Installation Guide with Screenshots 1. Select Install or upgrade existing system options. Select Install or Upgrade 2. Select Language. Select RHEL 6 Language 3. Select keyboard type. Select RHEL 6 Keyboard 4. Choose skip media test, click ok if you want to check

Naive question: Is it possible to somehow download GLIBC 2.15, put it in any folder (e.g. /tmp/myglibc) and then point to this path ONLY when executing something that needs this specific version of glibc?

Yes, it's possible.

[PDF] Red Hat Enterprise Linux 6 Installation Guide, Red Hat Enterprise Linux 6. Installation Guide. Installing Red Hat Enterprise Linux 6.9 for all architectures. Last Updated: 2020-05-19  Install the yum-security plugin. It is now possible to limit yum to install only security updates (as opposed to bug fixes or enhancements) by installing the yum-security plugin. Contrary to RHEL 7, in RHEL 6 the yum-security plugin is not part of yum. So to install the plugin use :

For another instance of Glibc, download gcc 4.7.2, for instance from this github repo (although an official source would be better) and extract it to some folder, then update LD_LIBRARY_PATH with the path where you have extracted glib.

export LD_LIBRARY_PATH=$glibpath/glib-2.49.4-kgesagxmtbemim2denf65on4iixy3miy/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$glibpath/libffi-3.2.1-wk2luzhfdpbievnqqtu24pi774esyqye/lib64:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$glibpath/pcre-8.39-itdbuzevbtzqeqrvna47wstwczud67wx/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$glibpath/gettext-0.19.8.1-aoweyaoufujdlobl7dphb2gdrhuhikil/lib:$LD_LIBRARY_PATH

This should keep you safe from bricking your CentOS*.

*Disclaimer: I just completed the thought it looks like the OP was trying to express, but I don't fully agree.

Red Hat 6 Installation Guide – RHEL 6 Install Screenshots – If Not , Red Hat 6 RHEL Installation. Select Install or upgrade an existing system option on Grub Menu. Choose a language. Choose a keyboard type. Choose a installation media. Skip DVD media test (or select media test, if you want to test installation media before installation) Red Hat 6 graphical installer starts, select next. In this post, i will show on how to install PHP on Redhat Enterprise Linux 6 (RHEL 6). PHP is a powerful tool and server-side scripting language originally designed for making dynamic and interactive Web pages. It was widely-used, free, and efficient alternative for scripting language. Please fo

download rpm packages and run the following command:

rpm -Uvh glibc-2.15-60.el6.x86_64.rpm \
glibc-common-2.15-60.el6.x86_64.rpm \
glibc-devel-2.15-60.el6.x86_64.rpm \
glibc-headers-2.15-60.el6.x86_64.rpm

RHEL 6 Installation Step by Step, Variants[edit] Red Hat Enterprise Linux Server subscription is available at no cost for Duration: 9:50 Posted: Feb 11, 2017 The Red Hat Customer Portal delivers the knowledge, expertise, and guidance available through your Red Hat subscription. 8.2.4. Installing Packages Red Hat Enterprise Linux 6 | Red Hat Customer Portal

To install GLIBC_2.14 or GLIBC_2.15, download package from /gnu/libc/ index at

https://ftp.gnu.org/gnu/libc/

Then follow instructions listed by Timo:

For example glibc-2.14.tar.gz in your case.

  1. tar xvfz glibc-2.14.tar.gz

  2. cd glibc-2.14

  3. mkdir build

  4. cd build

  5. ../configure --prefix=/opt/glibc-2.14

  6. make

  7. sudo make install

  8. export LD_LIBRARY_PATH=/opt/glibc-2.14/lib:$LD_LIBRARY_PATH

How to install redhat linux 6, This video will serve you as a guide for Red Hat Enterprise Linux Installation Guide for Intel and Duration: 14:31 Posted: Mar 13, 2014 In this tutorial we will learn,how to install XAMPP in CentOS/RHEL 6.5.We will install XAMPP version 1.8.3. XAMPP is a open source cross platform software stack package mainly used for web server solution. XAMPP is available for Windows,MAC OSX,Solaris and Linux(WAMP, MAMP, SAMP, LAMP). XAMPP stands for – X = Cross Platform (Windows,MAC OSX,Solaris and […]

How to Install Redhat Enterprise Linux 6 / Centos 6, Step 2: Once started the machine, it will try to boot from the DVD drive. you will get the following installation screen. Select the first option to install RHEL 6 in  How to install K Desktop Environment ( KDE) post install on Red Hat Enterprise Linux 6/7? How to install the GNOME Desktop Environment from text mode on Red Hat Enterprise Linux 5/6/7? Which packages need to be installed on RHEL for starting the X11 server? Need help to get "X Windows" system started on RHEL.

RHEL 6 (Red Hat Enterprise Linux) Server Installation Steps, In this tutorial we will discuss RHEL 6 (Red Hat Enterprise Linux) Server Installation Guide Step by Step with screenshots. This manual explains how to boot the Red Hat Enterprise Linux 7 installation program (Anaconda) and how to install Red Hat Enterprise Linux 7 on AMD64 and Intel 64 systems, 64-bit ARM systems, 64-bit IBM Power Systems servers, and IBM Z servers. It also covers advanced installation methods such as Kickstart installations, PXE installations, and installations over VNC. Finally, it describes

[PDF] Installation Guide, This manual explains how to boot the Red Hat Enterprise Linux 6 installation program (anaconda) and to install Red Hat Enterprise Linux 6 on 32-bit and 64-​bit 

Comments
  • What needs those? What error are you seeing? What are you doing when you get that error?
  • Any program that needs these library show error. Here is one example: $ lzturbo lzturbo: /lib64/libm.so.6: version GLIBC_2.15' not found (required by lzturbo) lzturbo: /lib64/libc.so.6: version GLIBC_2.14' not found (required by lzturbo)
  • Where did you get lzturbo from? No official RHEL 6 software should have this problem. Neither should anything you built on RHEL 6 from source. So where did this "random" binary come from? And why did you install it?
  • It came as a download binary. It came from company download site. Does this mean that no experimental software can run on RHEL without having a 'official bless' from RHEL? That is insane.. What if you want to make new discoveries with different software? Do you need to wait for RHEL? Anyway let's focus on a main question: How do you install / point GLIBC_2.15 on RHEL? If you think this discussion about official/non-official RHEL software will help me somehow - please continue in that direction. If not - please provide ideas/solution if you have. thanks
  • I'm suggesting you don't install that because it is too new. It depends on versions of software that RHEL 6 does not contain. And yes if you want support from RHEL I believe you do need to wait for them to package the software. I imagine if you ask them for support for something you installed externally they will tell you they won't support it and to do ask the vendor of that software. (Which isn't to say it doesn't work just that when it breaks you get to keep both pieces.) The vendor gave you software that wiil not work on RHEL 6 as built. Go ask them for a RHEL 6 compatible version.
  • I used glibc-2.15. Therefore I had to do touch /opt/glibc-2.15/etc/ld.so.conf because otherwise make install would fail.
  • Did not work in RHEL 6.5 , Gives Segementation Fault for me too.
  • @syam in which of these installation steps, did you get the segmentation fault error?
  • I did this, but the program I am trying to install still complains about not finding lib.so.6 (GLIBC_2.14)(64 bit)....aniy ideas?
  • Step 6: works better with sudo make rather than just make.
  • Given that this appears to be a vendor distributed binary that makes the simple "recompile it" option unavailable (that would avoid this problem entirely in the first place most likely) which just leaves the chroot (effectively an entirely different system) or the binary editing of requirements (assuming your list was exhaustive).
  • Sorry I did not understand what are you saying.. What is chroot and how do you do binary editing?
  • @Joe Did you read the linked answer? The solution is quite non-trivial, and if you can't be bothered to find out (by googling) what is chroot and how to do binary editing, then I am afraid your problem can't be solved by you.
  • Yeah.. I am still beginner for those custom things. I know some stuff in Linux but never deal before with chroot and binary editing. I read the linked answer but not sure if will be easy for me to do it...